// pages/index.js
import api from '../../utils/Api.js'
const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    news: [],
    heats: [],
    businesses: [],
    guides: [],

    banners: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {
    this.getHomeData()
    this.getBannerData()
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {
    wx.showNavigationBarLoading()
    this.getHomeData(() => {
      wx.hideNavigationBarLoading()
      wx.stopPullDownRefresh()
    })
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  },

  getHomeData: function(callback) {
    api.home.all().then(res => {
      this.setData({
        news: res.data.newProjects,
        heats: res.data.heatProjects,
        businesses: res.data.businessProjects,
        guides: res.data.guides
      })
      typeof callback == "function" && callback()
    })
  },

  getBannerData: function() {
    api.home.banner({
      token: app.globalData.token
    }).then(res => {
      this.setData({
        banners: res.data
      })
    })
  },

  // 最新活动，爆款专区  更多项目
  gotoMoreProjects: function(event) {
    let _type = event.target.dataset.type
    let _ptitle = event.target.dataset.name
    wx.navigateTo({
      url: '/pages/prjlist/list?type=' + _type + '&ptitle=' + _ptitle,
    })
  },
  // 更多：按分类筛选
  gotoSearchProjects: function(event) {
    let _catalog = event.target.dataset.catalog
    let _ptitle = event.target.dataset.name
    wx.navigateTo({
      url: '/pages/search/list/list?catalog=' + _catalog + '&ptitle=' + _ptitle,
    })
  }

})